Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.invalidation.bridges
Class JMSCacheInvalidationMessage

    java.lang.Object
      org.jboss.cache.invalidation.bridges.JMSCacheInvalidationMessage

All Implemented Interfaces:
  Serializable

public class JMSCacheInvalidationMessage
extends Object
implements Serializable

Version:
  $Revision: 1.2.6.1 $

  Revisions:

  30. septembre 2002 Sacha Labourey:

  - First implementation
Author:
  Sacha Labourey.
See Also:
  , Serialized Form

Field Summary
`protected BatchInvalidation[]` | `bis`
`protected VMID` | `emitter`
`protected String` | `invalidateAllGroupName`

Constructor Summary
`JMSCacheInvalidationMessage(VMID source, BatchInvalidation[] invalidations)`
`JMSCacheInvalidationMessage(VMID source, String groupName)`
`JMSCacheInvalidationMessage(VMID source, String groupName, Serializable[] keys)`

Method Summary
`BatchInvalidation[]` | `getInvalidations()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bis

    protected BatchInvalidation[] bis

### emitter

    protected VMID emitter

### invalidateAllGroupName

    protected String invalidateAllGroupName

Constructor Detail

### JMSCacheInvalidationMessage

    public JMSCacheInvalidationMessage(VMID source,
                                       String groupName,
                                       Serializable[] keys)

### JMSCacheInvalidationMessage

    public JMSCacheInvalidationMessage(VMID source,
                                       BatchInvalidation[] invalidations)

### JMSCacheInvalidationMessage

    public JMSCacheInvalidationMessage(VMID source,
                                       String groupName)

Method Detail

### getInvalidations

    public BatchInvalidation[] getInvalidations()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.